Package org.bgerp.model.msg.config

# Class TagConfig.Tag

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
org.bgerp.model.msg.config.TagConfig.Tag

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

Enclosing class:
  `TagConfig`

public static final class TagConfig.Tag extends IdTitle

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TAG_ATTACH_ID`
  Filtering messages by attachment.
  `static final int`
  `TAG_HISTORY_ALL_ID`
  Attaching History.txt with all messages
  `static final int`
  `TAG_HISTORY_WITH_ADDRESS_ID`
  Attaching History.txt with messages from address
  `static final int`
  `TAG_PIN_ID`
  Pinned message
  `static final int`
  `TAG_UNREAD_ID`
  Filtering unread messages.

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getColor()`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Field Details

  - ### TAG_ATTACH_ID

    public static final int TAG_ATTACH_ID
    Filtering messages by attachment. The tag is not persisted in DB.
    See Also:
      - Constant Field Values

  - ### TAG_UNREAD_ID

    public static final int TAG_UNREAD_ID
    Filtering unread messages. The tag is not persisted in DB.
    See Also:
      - Constant Field Values

  - ### TAG_HISTORY_WITH_ADDRESS_ID

    public static final int TAG_HISTORY_WITH_ADDRESS_ID
    Attaching History.txt with messages from address
    See Also:
      - Constant Field Values

  - ### TAG_HISTORY_ALL_ID

    public static final int TAG_HISTORY_ALL_ID
    Attaching History.txt with all messages
    See Also:
      - Constant Field Values

  - ### TAG_PIN_ID

    public static final int TAG_PIN_ID
    Pinned message
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getColor

    public String getColor()